package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.AccountCompensation;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;
import java.util.List;

/**
 * 账户赔付记录';
 *
 * @author jeecg-boot
 * 2022-09-16
 * @version V1.0
 */
public interface IAccountCompensationService extends IService<AccountCompensation> {

    List<JSONObject> getAllOperatorList(List<String> roleCode, String mediaId);

    BigDecimal getCompMoney(String userId, String startDate, String endDate);

    JSONObject getAccountUser(Long account);

    List<JSONObject> queryAccountCompensation(AccountCompensation accountCompensation);
}
